Retrieves all data necessary to load the bill entry screen for an account
Use this endpoint to pre-populate the bill entry form. Returns bodyline templates, bill headers,
batch info, and a suggested begin date based on the most recent bill. If batch mode is enabled and
no batches are open, NeedsToOpenBatch will be true. Account must be active and begin date must be within service dates.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | Unique numeric identifier of the account to enter a bill for | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| beginDate | Optional bill begin date in date-only format. If omitted, defaults to the day after the most recent bill’s end date | string (date-time) | Optional |
| batchId | Optional batch ID to associate with the new bill. If omitted and one open batch exists, it is used automatically | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BillEntryResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountBodyLines | The bill’s account-level details | BillEntryBodyLine[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillEntryBodyLine properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountId | The account identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountPeriodName | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountPeriodNumber | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountPeriodYear | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accrual | Indicates if the bill is an accrual bill | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| apExported | Indicates if the bill has been ap exported | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| approved | Indicates if the bill has been approved | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| batch | BatchChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BatchChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| beginDate | The bill’s begin date | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billId | The bill identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billImageUrl | The fully qualified url to the bill image | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billNote | The bill’s note | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billingPeriod | The bill’s billing period | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| checkDate | The date and time of the check | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| checkNumber | The number of the check that the bill was paid with | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| clearedDate | The date and time that the check cleared | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| controlCode | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costConversion | CostConversion | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CostConversion properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| days | The bill’s number of days | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dueDate | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| endDate | The bill’s end date | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| estimated | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| exportHold | Indicates if the bill is being withheld from bill exports | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fromVendor | Indicates if the bill is from a vendor | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fundsWithdrawnDate | The date when funds were withdrawn | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| generalLedgerCode | The general ledger code of the bill’s account-level details (“Mixed” if there is more than one) | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| glExported | Indicates if the bill has been gl exported | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hasBeenSplit | Indicates if the bill has been split | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceNumber | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meters | The billing account’s meters | BillEntryMeterChild[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillEntryMeterChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| needsToOpenBatch | Indicates if a new bill batch needs to be opened to place this bill in | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nextReading | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| numberOfOpenBatches | Indicates how many open batches the user has | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| observationMethod | ObservationMethodChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ObservationMethodChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| payStatus | The payment status of the bill | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| paymentExported | Indicates if the bill has been exported to bill payment | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| statementDate | BillHeaderChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillHeaderChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| totalCost | The bill’s total cost in the system currency. The system currency is the reporting/global currency unit. | number (double) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| totalSourceCost | The bill’s total cost in the source currency. The source currency is the native currency unit. | number (double) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| vendorBodyLines | The bill’s vendor template details | BillEntryBodyLine[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillEntryBodyLine properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| vendorId | The vendor identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| void | Indicates if the bill has been voided | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "accountBodyLines": [
{ "bodyLineId": 1, "caption": "string", "cost": { "type": "string", "unit": {}, "value": 1.0
}, "observationType": { "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}, "value": { "noun": "string", "type": "string", "unit": {}, "value": 1.0
}
}
], "accountId": 1, "accountPeriodName": { "required": false, "value": "string"
}, "accountPeriodNumber": { "required": false, "value": "string"
}, "accountPeriodYear": { "required": false, "value": "string"
}, "accrual": false, "apExported": false, "approved": false, "batch": { "batchCode": "string", "batchId": 1
}, "beginDate": "2026-06-29", "billId": 1, "billImageUrl": "string", "billNote": "string", "billingPeriod": 1, "checkDate": "2026-06-29", "checkNumber": "string", "clearedDate": "2026-06-29", "controlCode": { "required": false, "value": "string"
}, "costConversion": { "conversionDate": "2026-06-29", "sourceToSystemConversionValue": 1.0, "sourceUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "systemUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}, "days": 1, "dueDate": { "required": false, "value": "string"
}, "endDate": "2026-06-29", "estimated": { "required": false, "value": "string"
}, "exportHold": false, "fromVendor": false, "fundsWithdrawnDate": "2026-06-29", "generalLedgerCode": "string", "glExported": false, "hasBeenSplit": false, "invoiceNumber": { "required": false, "value": "string"
}, "meters": [
{ "bodyLines": [
{ "bodyLineId": 1, "caption": "string", "cost": {}, "observationType": {}, "value": {}
}
], "fromTemplate": false, "generalLedgerCode": "string", "meterCode": "string", "meterId": 1, "meterInfo": "string"
}
], "needsToOpenBatch": false, "nextReading": { "required": false, "value": "string"
}, "numberOfOpenBatches": 1, "observationMethod": { "observationMethodCode": "string", "observationMethodId": 1, "observationMethodInfo": "string"
}, "payStatus": "string", "paymentExported": false, "statementDate": { "required": false, "value": "string"
}, "totalCost": 1.0, "totalSourceCost": 1.0, "vendorBodyLines": [
{ "bodyLineId": 1, "caption": "string", "cost": { "type": "string", "unit": {}, "value": 1.0
}, "observationType": { "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}, "value": { "noun": "string", "type": "string", "unit": {}, "value": 1.0
}
}
], "vendorId": 1, "void": false
}
400
Bad Request
The request was malformed or contains invalid parameters. Check the request body and query parameters.